Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.table
Class TableEx

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Table
              echopointng.table.TableEx

All Implemented Interfaces:
  Attributeable, java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  SortableTable, TreeTable

    public abstract class TableEx

extends Table
implements Attributeable

`TableEx` is a base abstract class for deriving new Table components.

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Table
`ACTION_LISTENERS_CHANGED_PROPERTY, AUTO_CREATE_COLUMNS_FROM_MODEL_CHANGED_PROPERTY, COLUMN_MODEL_CHANGED_PROPERTY, DEFAULT_HEADER_RENDERER_CHANGED_PROPERTY, DEFAULT_RENDERER_CHANGED_PROPERTY, DEFAULT_TABLE_CELL_RENDERER, HEADER_ROW, HEADER_VISIBLE_CHANGED_PROPERTY, INPUT_ACTION, MODEL_CHANGED_PROPERTY, PROPERTY_ACTION_COMMAND, PROPERTY_BORDER, PROPERTY_INSETS, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_BACKGROUND_IMAGE, PROPERTY_ROLLOVER_ENABLED, PROPERTY_ROLLOVER_FONT, PROPERTY_ROLLOVER_FOREGROUND, PROPERTY_SELECTION_BACKGROUND, PROPERTY_SELECTION_BACKGROUND_IMAGE, PROPERTY_SELECTION_ENABLED, PROPERTY_SELECTION_FONT, PROPERTY_SELECTION_FOREGROUND, PROPERTY_WIDTH, SELECTION_CHANGED_PROPERTY, SELECTION_MODEL_CHANGED_PROPERTY`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`TableEx()` Creates a new `TableEx` with an empty `DefaultTableModel`.
`TableEx(int columns, int rows)` Creates a new `Table` with a new `DefaultTableModel` with the specified dimensions.
`TableEx(TableModel model)` Creates a `TableEx` using the supplied `TableModel`.
`TableEx(TableModel model, TableColumnModel columnModel)` Creates a `Table` with the supplied `TableModel` and the specified `TableColumnModel`.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`void` | `init()` Life-cycle method invoked when the `Component` is added to a registered hierarchy.
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.

Methods inherited from class nextapp.echo2.app.Table
`addActionListener, createDefaultColumnsFromModel, doRender, getActionCommand, getBorder, getCellComponent, getColumnModel, getDefaultHeaderRenderer, getDefaultRenderer, getInsets, getModel, getRolloverBackground, getRolloverBackgroundImage, getRolloverFont, getRolloverForeground, getSelectionBackground, getSelectionBackgroundImage, getSelectionFont, getSelectionForeground, getSelectionModel, getWidth, hasActionListeners, invalidate, isAutoCreateColumnsFromModel, isHeaderVisible, isRolloverEnabled, isSelectionEnabled, processInput, removeActionListener, setActionCommand, setAutoCreateColumnsFromModel, setBorder, setColumnModel, setDefaultHeaderRenderer, setDefaultRenderer, setHeaderVisible, setInsets, setModel, setRolloverBackground, setRolloverBackgroundImage, setRolloverEnabled, setRolloverFont, setRolloverForeground, setSelectionBackground, setSelectionBackgroundImage, setSelectionEnabled, setSelectionFont, setSelectionForeground, setSelectionModel, setWidth, validate`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableEx

    public TableEx()

  Creates a new `TableEx` with an empty `DefaultTableModel`.

### TableEx

    public TableEx(int columns,
                   int rows)

  Creates a new `Table` with a new `DefaultTableModel` with the specified dimensions.

  Parameters:
    `columns` - the initial column count
    `rows` - the initial row count

### TableEx

    public TableEx(TableModel model)

  Creates a `TableEx` using the supplied `TableModel`.

  Parameters:
    `model` - the initial model

### TableEx

    public TableEx(TableModel model,
                   TableColumnModel columnModel)

  Creates a `Table` with the supplied `TableModel` and the specified `TableColumnModel`.

  Parameters:
    `model` - the initial model
    `columnModel` - the initial column model

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

### init

    public void init()

  Description copied from class: `Component`
  Life-cycle method invoked when the `Component` is added to a registered hierarchy. Implementations should always invoke `super.init()`. Modifications to the component hierarchy are not allowed within this method.

  Overrides:
    `init` in class `Component`
  See Also:
    `Component.init()`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD